Loading...
Searching...
No Matches
mach_gettime.h File Reference
`#include <sys/types.h>`
`#include <sys/_types/_timespec.h>`
`#include <mach/mach.h>`
`#include <mach/clock.h>`
`#include <mach/mach_time.h>`
Include dependency graph for mach_gettime.h:

Go to the source code of this file.

## Macros

#define | TIMER_ABSTIME -1
#define | CLOCK_REALTIME CALENDAR_CLOCK
#define | CLOCK_MONOTONIC SYSTEM_CLOCK
#define | MT_NANO (+1.0E-9)
#define | MT_GIGA UINT64_C(1000000000)

## Typedefs

typedef int | clockid_t

## Functions

int | clock_gettime (clockid_t clk_id, struct timespec *tp)

## Macro Definition Documentation

## CLOCK_MONOTONIC

#define CLOCK_MONOTONIC SYSTEM_CLOCK

## CLOCK_REALTIME

#define CLOCK_REALTIME CALENDAR_CLOCK

## MT_GIGA

#define MT_GIGA UINT64_C(1000000000)

## MT_NANO

#define MT_NANO (+1.0E-9)

## TIMER_ABSTIME

#define TIMER_ABSTIME -1

## Typedef Documentation

## clockid_t

typedef int clockid_t

## Function Documentation

## clock_gettime()

int clock_gettime | ( | clockid_t | clk_id,
|  | struct timespec * | tp )